Name:           gkrellm-hddtemp
Version:        0.2
Release:        0.fdr.0.2.beta.rh90
Epoch:          0
Summary:        Hard disk temperature plugin for GKrellM

Group:          Applications/System
License:        GPL
URL:            http://coredump.free.fr/linux/hddtemp.php
Source:         http://coredump.free.fr/linux/gkrellm-hddtemp-0.2-beta.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel, gkrellm-devel >= 0:2
Requires:       hddtemp >= 0:0.3, gkrellm >= 0:2

%description
%{summary}.

# -----------------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}-beta
perl -pi -e "s|^(CFLAGS=.+?)$|\$1 $RPM_OPT_FLAGS|" Makefile

# -----------------------------------------------------------------------------

%build
make %{?_smp_mflags} gkrellm2

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
cp -p *.so $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%doc COPYING README
%attr(0755,root,root) %{_libdir}/gkrellm2/plugins/*

# -----------------------------------------------------------------------------

%changelog
* Fri May 30 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.2-0.fdr.0.2.beta
- Spec file cleanups.

* Sun Apr 13 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.2-0.fdr.0.1.beta
- Update to current Fedora guidelines.
- Save .spec in UTF-8.

* Fri Feb  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0.2-0.beta.fedora.1
- First Fedora release.
